Agora Java API Reference for Android

Static Public Member Functions | Public Attributes | List of all members
io.agora.rtm.RtmConstants.RtmLinkStateChangeReason Enum Reference

## Static Public Member Functions
| [static initializer]
static int | getValue (RtmLinkStateChangeReason reason)
static RtmLinkStateChangeReason | getEnum (Integer value)

## Public Attributes
| UNKNOWN =(0)
| LOGIN =(1)
| LOGIN_SUCCESS =(2)
| LOGIN_TIMEOUT =(3)
| LOGIN_NOT_AUTHORIZED =(4)
| LOGIN_REJECTED =(5)
| RELOGIN =(6)
| LOGOUT =(7)
| AUTO_RECONNECT =(8)
| RECONNECT_TIMEOUT =(9)
| RECONNECT_SUCCESS =(10)
| JOIN =(11)
| JOIN_SUCCESS =(12)
| JOIN_FAILED =(13)
| REJOIN =(14)
| LEAVE =(15)
| INVALID_TOKEN =(16)
| TOKEN_EXPIRED =(17)
| INCONSISTENT_APP_ID =(18)
| INVALID_CHANNEL_NAME =(19)
| INVALID_USER_ID =(20)
| NOT_INITIALIZED =(21)
| RTM_SERVICE_NOT_CONNECTED =(22)
| CHANNEL_INSTANCE_EXCEED_LIMITATION =(23)
| OPERATION_RATE_EXCEED_LIMITATION =(24)
| CHANNEL_IN_ERROR_STATE =(25)
| PRESENCE_NOT_CONNECTED =(26)
| SAME_UID_LOGIN =(27)
| KICKED_OUT_BY_SERVER =(28)
| KEEP_ALIVE_TIMEOUT =(29)
| CONNECTION_ERROR =(30)
| PRESENCE_NOT_READY =(31)
| NETWORK_CHANGE =(32)
| SERVICE_NOT_SUPPORTED =(33)
| STREAM_CHANNEL_NOT_AVAILABLE =(34)
| STORAGE_NOT_AVAILABLE =(35)
| LOCK_NOT_AVAILABLE =(36)
| LOGIN_TOO_FREQUENT =(37)

## Detailed Description

Rtm link state change reason.

## Member Data Documentation

## ◆ UNKNOWN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.UNKNOWN =(0)

0: Unknown reason.

## ◆ LOGIN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN =(1)

1: Login.

## ◆ LOGIN_SUCCESS

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN_SUCCESS =(2)

2: Login success.

## ◆ LOGIN_TIMEOUT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN_TIMEOUT =(3)

3: Login timeout.

## ◆ LOGIN_NOT_AUTHORIZED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN_NOT_AUTHORIZED =(4)

4: Login not authorized.

## ◆ LOGIN_REJECTED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN_REJECTED =(5)

5: Login rejected.

## ◆ RELOGIN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.RELOGIN =(6)

6: Re-login.

## ◆ LOGOUT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGOUT =(7)

7: Logout.

## ◆ AUTO_RECONNECT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.AUTO_RECONNECT =(8)

8: Auto reconnect.

## ◆ RECONNECT_TIMEOUT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.RECONNECT_TIMEOUT =(9)

9: Reconnect timeout.

## ◆ RECONNECT_SUCCESS

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.RECONNECT_SUCCESS =(10)

10: Reconnect success.

## ◆ JOIN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.JOIN =(11)

11: Join.

## ◆ JOIN_SUCCESS

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.JOIN_SUCCESS =(12)

12: Join success.

## ◆ JOIN_FAILED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.JOIN_FAILED =(13)

13: Join failed.

## ◆ REJOIN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.REJOIN =(14)

14: Rejoin.

## ◆ LEAVE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LEAVE =(15)

15: Leave.

## ◆ INVALID_TOKEN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.INVALID_TOKEN =(16)

16: Invalid token.

## ◆ TOKEN_EXPIRED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.TOKEN_EXPIRED =(17)

17: Token expired.

## ◆ INCONSISTENT_APP_ID

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.INCONSISTENT_APP_ID =(18)

18: Inconsistent app ID.

## ◆ INVALID_CHANNEL_NAME

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.INVALID_CHANNEL_NAME =(19)

19: Invalid channel name.

## ◆ INVALID_USER_ID

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.INVALID_USER_ID =(20)

20: Invalid user ID.

## ◆ NOT_INITIALIZED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.NOT_INITIALIZED =(21)

21: Not initialized.

## ◆ RTM_SERVICE_NOT_CONNECTED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.RTM_SERVICE_NOT_CONNECTED =(22)

22: Rtm service not connected.

## ◆ CHANNEL_INSTANCE_EXCEED_LIMITATION

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.CHANNEL_INSTANCE_EXCEED_LIMITATION =(23)

23: Channel instance exceed limitation.

## ◆ OPERATION_RATE_EXCEED_LIMITATION

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.OPERATION_RATE_EXCEED_LIMITATION =(24)

24: Operation rate exceed limitation.

## ◆ CHANNEL_IN_ERROR_STATE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.CHANNEL_IN_ERROR_STATE =(25)

25: Channel in error state.

## ◆ PRESENCE_NOT_CONNECTED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.PRESENCE_NOT_CONNECTED =(26)

26: Presence not connected.

## ◆ SAME_UID_LOGIN

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.SAME_UID_LOGIN =(27)

27: Same UID login.

## ◆ KICKED_OUT_BY_SERVER

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.KICKED_OUT_BY_SERVER =(28)

28: Kicked out by server.

## ◆ KEEP_ALIVE_TIMEOUT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.KEEP_ALIVE_TIMEOUT =(29)

29: Keep alive timeout.

## ◆ CONNECTION_ERROR

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.CONNECTION_ERROR =(30)

30: Connection error.

## ◆ PRESENCE_NOT_READY

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.PRESENCE_NOT_READY =(31)

31: Presence not ready.

## ◆ NETWORK_CHANGE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.NETWORK_CHANGE =(32)

32: Network change.

## ◆ SERVICE_NOT_SUPPORTED

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.SERVICE_NOT_SUPPORTED =(33)

33: Service not supported.

## ◆ STREAM_CHANNEL_NOT_AVAILABLE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.STREAM_CHANNEL_NOT_AVAILABLE =(34)

34: Stream channel not available.

## ◆ STORAGE_NOT_AVAILABLE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.STORAGE_NOT_AVAILABLE =(35)

35: storage not available.

## ◆ LOCK_NOT_AVAILABLE

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOCK_NOT_AVAILABLE =(36)

36: Lock not available.

## ◆ LOGIN_TOO_FREQUENT

io.agora.rtm.RtmConstants.RtmLinkStateChangeReason.LOGIN_TOO_FREQUENT =(37)

37: Login too frequent.